Debian Bug report logs - #603561
latex209-bin: fails to upgrade from lenny, probably a dependency cycle with latex209-base

version graph

Package: latex209-bin; Maintainer for latex209-bin is Debian TeX maintainers <debian-tex-maint@lists.debian.org>; Source for latex209-bin is src:latex209.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Mon, 15 Nov 2010 12:27:02 UTC

Severity: serious

Tags: patch

Found in version latex209/25.mar.1992-12.1

Fixed in version latex209/25.mar.1992-12.2

Done: Hideki Yamane <henrich@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, TSUCHIYA Masatoshi <tsuchiya@namazu.org>:
Bug#603561; Package latex209-bin. (Mon, 15 Nov 2010 12:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to TSUCHIYA Masatoshi <tsuchiya@namazu.org>. (Mon, 15 Nov 2010 12:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: latex209-bin: fails to upgrade from lenny, probably a dependency cycle with latex209-base
Date: Mon, 15 Nov 2010 13:25:36 +0100
[Message part 1 (text/plain, inline)]
Package: latex209-bin
Version: 25.mar.1992-12.1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts piuparts.d.o

Hi, 

during a test with piuparts I noticed your package fails to upgrade from 
lenny. It installed fine in lenny, then the upgrade to squeeze fails.

From the attached log (scroll to the bottom...):

1m26.5s DEBUG: Starting command: 
['chroot', '/org/piuparts.debian.org/tmp/tmpO19771', 'apt-get', '-yf', 'dist-upgrade']
1m29.9s DUMP: 
  Reading package lists...
  Building dependency tree...
  Reading state information...
  The following packages will be REMOVED:
    libxcb-xlib0 texlive-base-bin
  The following NEW packages will be installed:
    dash diffutils dmsetup gcc-4.4-base insserv libc-bin libdb4.7 libdb4.8
    libkpathsea5 liblcms1 liblzma2 libncursesw5 libopenjpeg2 libpoppler5
    libreadline6 libudev0 luatex sensible-utils texlive-binaries xz-utils
  The following packages will be upgraded:
    apt base-files base-passwd bash bsdutils coreutils debconf debconf-i18n
    debian-archive-keyring debianutils defoma diff dpkg e2fslibs e2fsprogs ed
    file findutils fontconfig-config gcc-4.3-base gnupg gpgv grep gzip 
hostname
    initscripts latex209-base latex209-bin libacl1 libattr1 libblkid1 
libbz2-1.0
    libc6 libcomerr2 libdb4.6 libdevmapper1.02.1 libexpat1 libfontconfig1
    libfreetype6 libgcc1 libgdbm3 libice6 libjpeg62 liblocale-gettext-perl
    libmagic1 libncurses5 libnewt0.52 libpam-modules libpam-runtime libpam0g
    libpng12-0 libpopt0 libreadline5 libselinux1 libsepol1 libslang2 libsm6
    libss2 libstdc++6 libtext-charwidth-perl libtext-iconv-perl
    libtext-wrapi18n-perl libusb-0.1-4 libuuid1 libx11-6 libx11-data libxau6
    libxaw7 libxcb1 libxdmcp6 libxext6 libxml2 libxmu6 libxpm4 libxt6 login
    lsb-base makedev mawk mime-support mktemp mount ncurses-base ncurses-bin
    passwd perl perl-base perl-modules procps readline-common sed sysv-rc
    sysvinit sysvinit-utils tar tex-common texlive texlive-base texlive-common
    texlive-doc-base texlive-fonts-recommended texlive-latex-base
    texlive-latex-recommended ttf-dejavu ttf-dejavu-core ttf-dejavu-extra 
tzdata
    ucf util-linux whiptail x11-common zlib1g
  112 upgraded, 20 newly installed, 2 to remove and 0 not upgraded.
  Need to get 96.8MB of archives.
  After this operation, 56.6MB of additional disk space will be used.
  Get:1 http://ftp.fi.debian.org squeeze/main libc-bin 2.11.2-7 [746kB]
[...]
  Get:132 http://ftp.fi.debian.org squeeze/main makedev 2.3.1-89 [42.4kB]
  Fetched 96.8MB in 2s (36.2MB/s)
  E: Couldn't configure pre-depend latex209-base for latex209-bin, probably a 
dependency cycle.
1m29.9s ERROR: Command failed (status=100): 
['chroot', '/org/piuparts.debian.org/tmp/tmpO19771', 'apt-get', '-yf', 'dist-upgrade']


cheers,
	Holger
[latex209-bin_25.mar.1992-12.1.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, TSUCHIYA Masatoshi <tsuchiya@namazu.org>:
Bug#603561; Package latex209-bin. (Fri, 26 Nov 2010 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to TSUCHIYA Masatoshi <tsuchiya@namazu.org>. (Fri, 26 Nov 2010 13:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 603561@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 603561@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: latex209-bin: fails to upgrade from lenny, probably a dependency cycle with latex209-base
Date: Fri, 26 Nov 2010 22:54:32 +0900
tags 603561 patch
thanks

Hi,

 I introduced regression in previous update, so I'd fix this as below.
 Pre-Depends is too much, Depends is enough. Please check whether it's 
 okay or not.



--- latex209-25.mar.1992/debian/changelog       2010-05-14 03:27:38.000000000 +0900
+++ latex209-25.mar.1992/debian/changelog       2010-11-26 16:52:40.000000000 +0900
@@ -1,3 +1,13 @@
+latex209 (25.mar.1992-12.2) unstable; urgency=low
+
+  * Non-Maintainer Upload
+  * debian/control
+    - latex209-base: remove "texlive-base, texlive-binaries"
+    - latex209-bin: set "Depends: latex209-base" not Pre-Depends to avoid 
      circular dependency (Closes: #603561)
+
+ -- Hideki Yamane <henrich@debian.org>  Fri, 26 Nov 2010 14:47:05 +0900
+
 latex209 (25.mar.1992-12.1) unstable; urgency=low

   [ Hideki Yamane (Debian-JP) ]
diff -Nru latex209-25.mar.1992/debian/control latex209-25.mar.1992/debian/control
--- latex209-25.mar.1992/debian/control 2010-05-14 03:27:37.000000000 +0900
+++ latex209-25.mar.1992/debian/control 2010-11-26 16:51:56.000000000 +0900
@@ -8,15 +8,14 @@

 Package: latex209-base
 Architecture: all
-Depends: texlive-binaries, texlive-base, texlive-latex-base, ${misc:Depends}
+Depends: texlive-latex-base, ${misc:Depends}
 Description: macro files of LaTeX 2.09 25-mar-1992 version
  LaTeX 2.09 is obsolete. Use LaTeX 2e.
  This package is for those who want to use old style files.

 Package: latex209-bin
 Architecture: all
-Pre-Depends: latex209-base (>= 25.mar.1992-12.1)
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, latex209-base
 Description: latex209 command for LaTeX 2.09 25-mar-1992 version
  LaTeX 2.09 is obsolete. Use LaTeX 2e.
  This package is for those who want to use old style files.
-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane




Added tag(s) patch. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Fri, 26 Nov 2010 13:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, TSUCHIYA Masatoshi <tsuchiya@namazu.org>:
Bug#603561; Package latex209-bin. (Sat, 27 Nov 2010 13:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to TSUCHIYA Masatoshi <tsuchiya@namazu.org>. (Sat, 27 Nov 2010 13:09:04 GMT) Full text and rfc822 format available.

Message #17 received at 603561@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 603561@bugs.debian.org
Subject: latex209: diff for NMU version 25.mar.1992-12.2
Date: Sat, 27 Nov 2010 14:05:55 +0100
[Message part 1 (text/plain, inline)]
tags 603561 + pending
thanks

Dear maintainer,

I've prepared an NMU for latex209 (versioned as 25.mar.1992-12.2) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    
[latex209-25.mar.1992-12.2-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 27 Nov 2010 13:09:06 GMT) Full text and rfc822 format available.

Reply sent to Hideki Yamane <henrich@debian.org>:
You have taken responsibility. (Mon, 29 Nov 2010 13:18:14 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Mon, 29 Nov 2010 13:18:14 GMT) Full text and rfc822 format available.

Message #24 received at 603561-close@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.org>
To: 603561-close@bugs.debian.org
Subject: Bug#603561: fixed in latex209 25.mar.1992-12.2
Date: Mon, 29 Nov 2010 13:17:08 +0000
Source: latex209
Source-Version: 25.mar.1992-12.2

We believe that the bug you reported is fixed in the latest version of
latex209, which is due to be installed in the Debian FTP archive:

latex209-base_25.mar.1992-12.2_all.deb
  to main/l/latex209/latex209-base_25.mar.1992-12.2_all.deb
latex209-bin_25.mar.1992-12.2_all.deb
  to main/l/latex209/latex209-bin_25.mar.1992-12.2_all.deb
latex209-src_25.mar.1992-12.2_all.deb
  to main/l/latex209/latex209-src_25.mar.1992-12.2_all.deb
latex209_25.mar.1992-12.2.debian.tar.gz
  to main/l/latex209/latex209_25.mar.1992-12.2.debian.tar.gz
latex209_25.mar.1992-12.2.dsc
  to main/l/latex209/latex209_25.mar.1992-12.2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603561@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hideki Yamane <henrich@debian.org> (supplier of updated latex209 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 26 Nov 2010 14:47:05 +0900
Source: latex209
Binary: latex209-base latex209-bin latex209-src
Architecture: source all
Version: 25.mar.1992-12.2
Distribution: unstable
Urgency: low
Maintainer: TSUCHIYA Masatoshi <tsuchiya@namazu.org>
Changed-By: Hideki Yamane <henrich@debian.org>
Description: 
 latex209-base - macro files of LaTeX 2.09 25-mar-1992 version
 latex209-bin - latex209 command for LaTeX 2.09 25-mar-1992 version
 latex209-src - source files of macros of LaTeX 2.09 25-mar-1992 version
Closes: 603561
Changes: 
 latex209 (25.mar.1992-12.2) unstable; urgency=low
 .
   * Non-Maintainer Upload
   * debian/control
     - latex209-base: remove "texlive-base, texlive-binaries"
     - latex209-bin: set "Depends: latex209-base" not Pre-Depends to avoid
       circular dependency (Closes: #603561)
Checksums-Sha1: 
 1db4449181d34c5169aca1abd698893482be2643 1769 latex209_25.mar.1992-12.2.dsc
 c892299c687278769fe4c26624231a739e66722e 5545 latex209_25.mar.1992-12.2.debian.tar.gz
 14429798f8b6f061c8ac6a02d027d447a98cd3ef 207292 latex209-base_25.mar.1992-12.2_all.deb
 e8e762bcb0caf1689bea042e3b45c766ab3ff3b4 4862 latex209-bin_25.mar.1992-12.2_all.deb
 9c89a2fe13ea319aad06cb9d6cc314e31f4b92f4 65266 latex209-src_25.mar.1992-12.2_all.deb
Checksums-Sha256: 
 edb5100ab15bd09ef09df0afadcdcd69276f8f8c70b5d8bc8566a866070383da 1769 latex209_25.mar.1992-12.2.dsc
 cd20c9859a7890d81604cd3558dfd087dd4ca600181eb2588b6fcc45ca3ed6c2 5545 latex209_25.mar.1992-12.2.debian.tar.gz
 cf2059e9f7e50511b25cd65a1e26584c0cf5295cadc505e7d754ab2b94da4fc4 207292 latex209-base_25.mar.1992-12.2_all.deb
 064e9bd7fcda31abd8bda0a7c9946844a76ff8431e0482a75ddfb881842b2b4f 4862 latex209-bin_25.mar.1992-12.2_all.deb
 7968a3d6a06a73d386c339c4727ed8c469eb32eef8e94fc1d3b023f322261474 65266 latex209-src_25.mar.1992-12.2_all.deb
Files: 
 c27a86d0e62026909a02cfc356181fa4 1769 tex optional latex209_25.mar.1992-12.2.dsc
 a12be39c931b8ba4fcff88037c4e8c99 5545 tex optional latex209_25.mar.1992-12.2.debian.tar.gz
 cba2ac87143912bfad21c6d8a030dbf3 207292 tex optional latex209-base_25.mar.1992-12.2_all.deb
 2ba54df451b1e6f41fbe4723e62a337c 4862 tex optional latex209-bin_25.mar.1992-12.2_all.deb
 1842f4467ee2a49d9c7c06683238b75e 65266 tex optional latex209-src_25.mar.1992-12.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM8QG7AAoJELs6aAGGSaoGqc4QAJ7IFYZWQBLiBXYFkKbVnRKM
L4sLccBky5dG9mR8b7LkvvfMbTcvsoL72m4pYlJGerrYkjkJXQVCrVgasXBLpTFC
ZOrDXbnsJOhbnnNz/wDdPicEdIcMhZH4CL4pzItinXddWoGqsAEYDbqO06AfPx27
0Nj16+/wmCSbexY71sBQXJ+QPKoYe4ErWhoFMWDzKhd657zzlmzpIsH1IVkMesh5
dWJWbPI4RaRLI6Dne+gxeFyjJ1xCV0CiZ176Yo+IIIPJwGQeNnz85+s4TotT/T+o
zz+UNLv+HxW4uYXM1MUtHS6REdUYLewLLVljMYfcOKJy+BF3y9bl/qzSdLVmhi10
0DgURoI6vhFfqO8vV5+edXl/ONOgyM6sggnybkEzEpwarVhYClKIgYysnrg83YPR
T5EeZAp+nq/2iwQQt5mv3W6yew2hxdLINGojUaP/9vILkA3K+GTmIjOMLmhlS2TA
0jaUYxAzM0wapuD/27E/ojqCoj/aYxfFx+4GDilLmKc7+oZa5gZb9JEAyXuOvsRV
lWv+dL6DcVW5wHHsSHtz54KKV1m8y7VwowlMN8PEby+BBfWDR6wVd80EoJEzPlIJ
31kp8dknsynSieXJRdj47fTVyDyjD7sJ5iW3+Sy1SeFH6JTa0+2LagdDSltXFZ7O
4dxjrfqyqO7w677pbWya
=5vfB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Jan 2011 07:35:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:32:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.